Skip to content
vocapable.Docs

Recompute a range of intervals (owner)

POST
/v1/workspace/contact-center/rollups/backfill
curl --request POST \
--url https://api.vocapable.com/v1/workspace/contact-center/rollups/backfill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "start": "2026-04-15T12:00:00Z", "end": "2026-04-15T12:00:00Z" }'
Media typeapplication/json
CcRollupBackfill
object
start
required
Start
string format: date-time
end
required
End
string format: date-time
Examplegenerated
{
"start": "2026-04-15T12:00:00Z",
"end": "2026-04-15T12:00:00Z"
}

Successful Response

Media typeapplication/json
CcRollupStatus
object
computed_through
required
Any of:
string format: date-time
finalized_through
required
Any of:
string format: date-time
backfill_from
required
Any of:
string format: date-time
backfill_until
required
Any of:
string format: date-time
backfill_cursor
required
Any of:
string format: date-time
Examplegenerated
{
"computed_through": "2026-04-15T12:00:00Z",
"finalized_through": "2026-04-15T12:00:00Z",
"backfill_from": "2026-04-15T12:00:00Z",
"backfill_until": "2026-04-15T12:00:00Z",
"backfill_cursor": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}